Skip to content
Start Trading

Create an IOI for a visible upcoming offering.

client.V1.PrivateMarkets.NewIoi(ctx, params) (*V1PrivateMarketNewIoiResponse, error)
POST/v1/private-markets/iois

Create an IOI for a visible upcoming offering.

ParametersExpand Collapse
params V1PrivateMarketNewIoiParams
AccountID param.Field[int64]

Query param

formatint64
NotionalAmount param.Field[string]

Body param

OfferingID param.Field[string]

Body param

formatuuid
NdaAcceptance param.Field[V1PrivateMarketNewIoiParamsNdaAcceptance]Optional

Body param: Required only when the offering’s attached SPV has an NDA agreement.

Accepted bool

Must be true; confirms affirmative assent.

AgreementID string

Exact agreement id returned by offering detail.

formatuuid
AuthorityConfirmed bool

Must be true; confirms the signer may bind the account-holder entity.

ReturnsExpand Collapse
type V1PrivateMarketNewIoiResponse struct{…}

IOI list item with the campaign identity needed to render it.

Company identity embedded in an IOI list item.

ID string
Name string

Offering identity embedded in an IOI list item.

ID string
Headline string

Create an IOI for a visible upcoming offering.

package main

import (
  "context"
  "fmt"

  "github.com/clear-street/clear-street-go"
  "github.com/clear-street/clear-street-go/option"
)

func main() {
  client := clearstreet.NewClient(
    option.WithAPIKey("My API Key"),
  )
  response, err := client.V1.PrivateMarkets.NewIoi(context.TODO(), clearstreet.V1PrivateMarketNewIoiParams{
    AccountID: 0,
    NotionalAmount: "100000.00",
    OfferingID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
{
  "data": {
    "account_id": 19816,
    "company": {
      "id": "b2b3b4b5-c2c3-d2d3-e2e3-e4e5e6e7e8e9",
      "name": "Acme Robotics"
    },
    "created_at": "2026-05-30T02:37:10.709695Z",
    "currency": "USD",
    "id": "019dbae9-73b4-7760-a947-8b4bcab57c49",
    "notional_amount": "100000.00",
    "offering": {
      "headline": "Series D opportunity",
      "id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
    },
    "offering_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
    "updated_at": "2026-05-30T02:37:10.709695Z"
  },
  "error": null,
  "metadata": {
    "request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
  }
}
Returns Examples
{
  "data": {
    "account_id": 19816,
    "company": {
      "id": "b2b3b4b5-c2c3-d2d3-e2e3-e4e5e6e7e8e9",
      "name": "Acme Robotics"
    },
    "created_at": "2026-05-30T02:37:10.709695Z",
    "currency": "USD",
    "id": "019dbae9-73b4-7760-a947-8b4bcab57c49",
    "notional_amount": "100000.00",
    "offering": {
      "headline": "Series D opportunity",
      "id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
    },
    "offering_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
    "updated_at": "2026-05-30T02:37:10.709695Z"
  },
  "error": null,
  "metadata": {
    "request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
  }
}